package com.uas.finance.service;

import com.uas.finance.model.Receipt;

import java.util.List;

/**
 * 发票接口层
 * created by shicr on 2018/1/27
 **/
public interface ReceiptService {

    /**
     * 发票保存
     *
     * @param receipts
     * @return
     */
    List<Receipt> save(List<Receipt> receipts);

    /**
     * 删除某出账下面的所有发票
     *
     * @param id
     * @return
     */
    void delete(Long id);

    /**
     * 找到某出账单下的所有发票
     * @param aaid
     * @return
     */
    List<Receipt> findByAaid(Long aaid);
}
